#ifndef HUMANDETECTION_H
#define HUMANDETECTION_H
#include "so_human_sdk.h"
#include <opencv2/opencv.hpp>
#include <QDebug>
class HumanDetection
{
public:
    HumanDetection();
    ~HumanDetection();
    void initDetector();
    int findHuManCar(const cv::Mat &source,int res,TCV_HumanDetector *detector);

    static HumanDetection& getInstance()
    {
        static HumanDetection instance;
        return instance;
    }
    
    
private:
    static HumanDetection* instance;


};

#endif // HUMANDETECTION_H
